aboutsummaryrefslogtreecommitdiff
path: root/build-aux/meson-dist
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/meson-dist')
-rwxr-xr-xbuild-aux/meson-dist16
1 files changed, 16 insertions, 0 deletions
diff --git a/build-aux/meson-dist b/build-aux/meson-dist
new file mode 100755
index 0000000..80d534f
--- /dev/null
+++ b/build-aux/meson-dist
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+set -o pipefail
+
+if test "$1" = ""; then
+ echo "Version not provided" >&2
+ exit 1
+fi
+if ! test -d "$2"; then
+ echo "Source directory not provided" >&2
+ exit 1
+fi
+
+# generate tarball version
+echo "$1" > "$MESON_DIST_ROOT/.tarball-version"